/* ===== CSS RESET ===== */
@font-face {
    font-family: "Lato";
    src: url("../fonts/Lato/Lato-Regular.ttf") format("opentype");
    font-display: swap;
    font-style: normal;
    font-weight: 400;
}

@font-face {
    font-family: "Lato-bold";
    src: url("../fonts/Lato/Lato-Bold.ttf") format("opentype");
    font-display: swap;
    font-style: normal;
    font-weight: 600;
}
/* Box sizing */
*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Remove default margin */
* {
    margin: 0;
}

/* Body defaults */
body {
    min-height: 100vh;
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
    font-family: "Lato", sans-serif;
    font-weight: 400;
    background-color: var(--bg-surface);
}

/* Media defaults */
img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}

/* Form elements */
input,
button,
textarea,
select {
    font: inherit;
}

/* Remove button styles */
button {
    border: none;
    background: none;
    cursor: pointer;
}

/* Links */
a {
    text-decoration: none;
    color: inherit;
}

/* Lists */
ul,
ol {
    list-style: none;
    padding: 0;
}

/* Root stacking context */
#root,
#__next {
    isolation: isolate;
}
.cursor-pointer {
    cursor: pointer;
}

/* button */
.sat-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    padding: 9px 15px;
    font-weight: 600;
    font-size: 16px;
    line-height: 24px;
    color: white;
    font-family: "Lato-bold";
    border: 1px solid transparent;
    border-radius: 100px !important;
    background-color: transparent;
    text-decoration: none;
    cursor: pointer;
}
.sat-btn.btn--sm {
    font-size: 14px !important;
    line-height: 16px !important;
    padding-block: 8px !important;
}
.sat-btn.primary {
    background-color: #1c6a9b !important;
    border-color: #1c6a9b !important;
}
.sat-btn.secondary {
    background-color: #2384c1 !important;
    border-color: #2384c1 !important;
}
.sat-btn.secondary-light {
    background-color: #2a9fe8 !important;
    border-color: #2a9fe8 !important;
}
.sat-btn.light {
    background-color: var(--bg-surface) !important;
    border-color: var(--border-light) !important;
    color: var(--primary);
}
.sat-btn.primary-outline {
    background-color: white !important;
    border-color: #1c6a9b !important;
    color: #1c6a9b !important;
}
.danger-outline {
    background-color: #ffe3e3 !important;
    border-color: #b42318 !important;
    color: #b42318 !important;
}
.success-outline {
    background-color: #e3ffe5 !important;
    border-color: #36844f !important;
    color: #36844f !important;
}
.sat-btn[disabled] {
    pointer-events: none;
    cursor: not-allowed;
    opacity: 0.6;
    background-color: #c1c1c1 !important;
    border-color: #c1c1c1 !important;
    user-select: none;
}
button.sat-btn {
    transition:
        transform 0.2s ease,
        opacity 0.2s ease;
}

button.sat-btn:hover {
    transform: scale(1);
}

button.sat-btn:active {
    transform: scale(0.97);
}

.toaster-alerts {
    border: 1px solid var(--color-blue-50);
    background-color: #fff;
    border-radius: 8px;
    padding: 10px;
    width: max-content;
    position: fixed;
    top: 5px;
    right: 5px;
    z-index: 10000;
    max-width: 700px;
    transition: 0.5s;
}

.toaster-alerts .flex {
    display: flex;
    align-items: center;
    gap: 10px;
}

.toaster-alerts .flex p {
    margin-bottom: 0;
    font-family: Lato;
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    letter-spacing: -0.01em;
    color: #353c4d;
}

.toaster-alerts.error {
    border: 1px solid #f04438;
    background-color: #ffefee;
}

.toaster-alerts.success {
    border: 1px solid #17b26a;
    background-color: #effff8;
}

.sat-main-loader {
    background: #262626;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 9999;
    opacity: 0.5;
}

.sat-main-loader > .sat-loader {
    position: absolute;
    top: calc(50% - 70px);
    left: calc(50% - 70px);
}

.sat-main-loader > .sat-loader > .sat-shape-img {
    position: absolute;
    left: 10%;
    top: 2%;
    z-index: -1;
    display: flex;
    align-items: center;
    gap: 10px;
}

.sat-main-loader > .sat-loader > .sat-shape-img > img {
    -webkit-animation: spin 1s linear infinite;
    animation: spin 1s linear infinite;
}

.sat-main-loader > .sat-loader > .sat-shape-img > .sat-loader-title {
    color: #fff;
    font-weight: 800;
    font-size: 16px;
}

@-webkit-keyframes spin {
    0% {
        -webkit-transform: rotate(0deg);
    }

    100% {
        -webkit-transform: rotate(360deg);
    }
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}

.mt-cs-24 {
    margin-top: 24px;
}

.select-sell {
    border: 1px solid #d0d5dd;
    border-radius: 6px;
    min-height: 52px;
    font-family: "Lato", sans-serif;
    font-size: 18px;
    font-weight: 500;
    line-height: 26px;
    letter-spacing: -0.012em;
    color: #667085;
}

.show-more-suggestions {
    border-top: 1px solid #dcdae2;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 24px;
    padding: 12px;
}

.show-more-suggestions p {
    margin-bottom: 0px;
    font-family: Lato;
    font-size: 16px;
    font-weight: 700;
    line-height: 24px;
    letter-spacing: -0.01em;
    color: #182230;
}

.tags-sellwith-sat {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 12px;
}

.tags-sellwith-sat span {
    font-family: Lato;
    font-size: 18px;
    font-weight: 500;
    line-height: 26px;
    letter-spacing: -0.012em;
    color: #667085;
    border: 1px solid #2384c1;
    padding: 8px 12px;
    border-radius: 4px;
    background-color: #e2f4ff;
    cursor: pointer;
    user-select: none;
}

.tags-sellwith-sat span {
    font-size: 14px;
    padding: 6px 6px;
}
.pagination-new {
    display: flex;
    justify-content: center;
    list-style-type: none;
    padding: 0;
    margin: 0;
    /* flex-wrap: wrap; */
    margin: 24px 0 42px;
    align-items: center;
    cursor: pointer !important;
}

.pagination-new .li-pagination-new {
    margin: 5px;
    cursor: pointer;
}

.pagination-new a {
    text-decoration: none;
    color: #5D6370;
    padding: 8px 12px;
    border-radius: 4px;
    transition: background-color 0.3s, color 0.3s;
    display: block;
    font-family: Lato;
    font-size: clamp(12px, 2vw, 16px);
    font-weight: 700;
    line-height: 24px;
    cursor: pointer;
}

.pagination-new a:hover {
    background-color: #EDEDF1;
    color: #5D6370;
}

.pagination-new a.active {
    /* background-color: #EDEDF1; */
    color: #2A9FE8;
    pointer-events: none;
}

.pagination-new li.active {
    /* background-color: #EDEDF1; */
    color: #2A9FE8;
    pointer-events: none;
}

.pagination-new a.disabled {
    color: #5D6370;
    pointer-events: none;
    font-family: Lato;
    font-size: clamp(12px, 2vw, 16px);
    font-weight: 700;
    line-height: 24px;
}

.page-next-texture {
    color: #2A9FE8 !important;
    text-decoration: none;
    padding: 8px 4px;
    border-radius: 4px;
    transition: background-color 0.3s, color 0.3s;
    display: block;
    font-family: Lato;
    font-size: clamp(12px, 2vw, 16px);
    font-weight: 700;
    line-height: 24px;
    cursor: pointer !important;
}

.fa-chevron-right {
    cursor: pointer;
}

@media (max-width: 576px) and (min-width:450px) {

    .pagination-new a.disabled {
        font-size: 14px;
    }

    .pagination-new a {
        font-size: 14px;
    }

    .page-next-texture {
        font-size: 14px;
    }

    .page-next-texture {
        font-size: 14px;
    }
}

@media (max-width: 576px) {
    .pagination-new .li-pagination-new {
        margin: 1px;
        display: contents;
    }

    .pagination-new a {
        padding: 8px 8px;
    }

    .page-next-texture {
        padding: 6px 8px;
    }

}

@media (max-width: 320px) {
    .pagination-new a {
        padding: 4px 8px;
        font-size: 12px;
    }

    .page-next-texture {
        font-size: 12px;
    }
}
